"use strict";
var util = require('../../util');
var colors = require('colors');
function getCommandName(command) {
    return command.split(/\s/g).shift() || '';
}
var maxCmdLength = null;
function lineWrapper(taskInfo, line) {
    if (maxCmdLength === null) {
        maxCmdLength = util.getMaxLength(taskInfo.allTasks.map(function (t) { return getCommandName(t.command); }));
    }
    var taskName = getCommandName(taskInfo.task.command);
    var colorFunc = util.getColorFuncForIndex(taskInfo.taskIndex);
    return colorFunc(util.rightPad(taskName, maxCmdLength) + ' |') + ' ' + line;
}
exports.lineWrapper = lineWrapper;
